import os
import time
import datetime
import pipes
import subprocess


# DB_LIST = ['BDECR', 'BDEDO', 'BDEGT', 'BDEHN', 'BDENI', 'BDEPA', 'BDESV'] DB_LIST = ['BDALPHAGT']
DB_LIST = ['BDALPHAGT']
DB_USER = 'haproxy'
DB_PASS = str(os.getenv('QAPASS'))
DB_HOST = '159.203.104.215'
BACKUP_PATH = '/backup/'


def Backup():

    BACKUP_PATH = 'backup/'
    DATETIME = time.strftime('%d%m%d-%H%M')

    for DB_NAME in DB_LIST:
        DATETIME = time.strftime('%d%m%Y-%H%M')
        FILE_NAME = BACKUP_PATH + f'{DB_NAME}-' + DATETIME + '.sql'

        try:
            os.stat(BACKUP_PATH)
        except:
            os.mkdir(BACKUP_PATH)

        command = "mysqldump -h " + DB_HOST + " -u " + DB_USER + " -p" + DB_PASS + " " + DB_NAME + " > " + FILE_NAME
        p = subprocess.Popen(command, stdout=subprocess.PIPE, shell=True)
        (output, err) = p.communicate()
        p_status = p.wait()
        # print ( "Command output: " + output )
        print (output)


Backup()
